#
# This file is part of "Cut the Crap" (CTC) filtering proxy server.
# Copyright 1999 Constantinos A. Kotsokalis <ckotso@cs.ntua.gr>
#
# CTC is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# CTC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with CTC; see the file COPYING. If not, write to the
# Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
#

import sys
import string
import re

class READ_CONF:

	def __init__(self, cfg_file):
		try:
			cf = open(sys.argv[1], "r")
		except:
			sys.stderr.write("Cannot open configuration file "+cfg_file+"\n")
			sys.exit(0)
		self.lines = cf.readlines()
		cf.close()
	

	# This method parses the configuration file and returns settings as
	# a dictionary
	def parse_cfg(self):
		lines = self.lines
		cfg = {}
		for line in lines:
			line = string.strip(line)
			if (len(line) == 0) or re.search("\s*#", line):
				continue
			if string.find(line, '#'):
				line = string.split(line, '#')[0]
			tokens = re.split('\s+', line)
			if (tokens[0] == 'BIND_PORT'):
				cfg['BIND_PORT'] = string.atoi(tokens[1])
			elif (tokens[0] == 'PARENT_PROXY_HOST'):
				cfg['PARENT_PROXY_HOST'] = tokens[1]
			elif (tokens[0] == 'PARENT_PROXY_PORT'):
				cfg['PARENT_PROXY_PORT'] = string.atoi(tokens[1])
			elif (tokens[0] == 'RETURN_GIF'):
				cfg['RETURN_GIF'] = tokens[1]
			elif (tokens[0] == 'ERROR_HTML_FILE'):
				cfg['ERROR_HTML_FILE'] = tokens[1]
			elif (tokens[0] == 'CTC_GIF'):
				cfg['CTC_GIF'] = tokens[1]
			elif (tokens[0] == 'ZAPLET_DIR'):
				cfg['ZAPLET_DIR'] = tokens[1]
			else:
				sys.stderr.write("Unknown option: "+tokens[0]+"\n")

		return cfg

